Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.portal.standard.sos.configuration
Class SOSClientConfiguration

    java.lang.Object
      org.deegree.portal.standard.sos.configuration.SOSClientConfiguration

    public class SOSClientConfiguration

extends Object

enables access to the configuration parameters of the sos client. Mainly these are the names and addresses of the sensor observation services to be called

Version:
  $Revision: 18195 $, $Date: 28.05.2008 17:06:48$
Author:
  Christian Heier, last edited by: $Author: mays$

Constructor Summary
`SOSClientConfiguration(HashMap<String,URL> sosResources)` Creates a new SOSClientConfiguration object.

Method Summary
`static SOSClientConfiguration` | `getInstance()`
`static SOSClientConfiguration` | `getInstance(URL confURL)`
`URL` | `getSOSAddress(String sos)`
`String[]` | `getSOSNames()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SOSClientConfiguration

    SOSClientConfiguration(HashMap<String,URL> sosResources)

  Creates a new SOSClientConfiguration object.

  Parameters:
    `sosResources` -

Method Detail

### getInstance

    public static SOSClientConfiguration getInstance(URL confURL)
                                              throws Exception

  Parameters:
    `confURL` -
  Returns:
    SOSClientConfiguration instance
  Throws:
    `Exception`

### getInstance

    public static SOSClientConfiguration getInstance()

  Returns:
    SOSClientConfiguration instance

### getSOSAddress

    public URL getSOSAddress(String sos)

  Parameters:
    `sos` -
  Returns:
    returns the address of the submitted sensor observation service

### getSOSNames

    public String[] getSOSNames()

  Returns:
    returns the names of the sensor observation services known by the client

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org